## org.apache.lucene.search
Class BooleanFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.BooleanFilter

All Implemented Interfaces:
  Serializable

    public class BooleanFilter

extends Filter

A container Filter that allows Boolean composition of Filters. Filters are allocated into one of three logical constructs; SHOULD, MUST NOT, MUST The results Filter BitSet is constructed as follows: SHOULD Filters are OR'd together The resulting Filter is NOT'd with the NOT Filters The resulting Filter is AND'd with the MUST Filters

Author:
  BPDThebault
See Also:
  Serialized Form

Constructor Summary
`BooleanFilter()`

Method Summary
`void` `add(FilterClause filterClause)` Adds a new FilterClause to the Boolean Filter container
`BitSet` `bits(IndexReader reader)` Returns the a BitSet representing the Boolean composition of the filters that have been added.
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()` Prints a user-readable version of this query.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanFilter

    public BooleanFilter()

Method Detail

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Returns the a BitSet representing the Boolean composition of the filters that have been added.

  Specified by:
    `bits` in class `Filter`
  Throws:
    `IOException`

### add

    public void add(FilterClause filterClause)

  Adds a new FilterClause to the Boolean Filter container

  Parameters:
    `filterClause` - A FilterClause object containing a Filter and an Occur parameter

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Prints a user-readable version of this query.

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.